Name: nvme-snsd
Version: 1.00.029
Release: 2
Summary: nvme-snsd service
License: BSD 3-Clause
Group: Applications/System
URL: https://gitee.com/openeuler/%{name}
Source: https://gitee.com/openeuler/%{name}/repository/archive/%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gcc,make,dos2unix

%description
This is an independently deployable software that can simplify service deployment and configuration while reducing the impact of link failures on services .
When the storage device goes online, NVMe over Fabric target association/connection will be automatically created. Once a path between the host and the storage 
is not reachable/offline, the device can detect the path change in time and switch the current fault path service to another to reduce the service downtime.

%prep
%setup -q

%build
dos2unix SNSD-VERSION-GEN
make clean
%make_build

%install
if [ -d %{buildroot} ];then
    rm -rf %{buildroot}
fi
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/doc
mkdir -p %{buildroot}/usr/lib/systemd/system
cp -af %{_builddir}/%{name}-%{version}/script/nvme-snsd.service %{buildroot}/usr/lib/systemd/system
cp -af %{_builddir}/%{name}-%{version}/nvme-snsd %{buildroot}/usr/bin
cp -af %{_builddir}/%{name}-%{version}/test/config/snsd.conf %{buildroot}/usr/share/doc/

%clean
rm -rf %{buildroot}

%pre

%post
chmod 0550 %{_bindir}/nvme-snsd
chmod 0440 /usr/share/doc/snsd.conf
chmod 0440 /usr/lib/systemd/system/nvme-snsd.service
systemctl enable nvme-snsd
systemctl start nvme-snsd

%postun
systemctl stop nvme-snsd
systemctl disable nvme-snsd

%files
%defattr (-, root, root)
%{_bindir}/nvme-snsd
/usr/share/doc/snsd.conf
/usr/lib/systemd/system/nvme-snsd.service

%changelog
* Sat Jul 30 2022 Ruozhu Li <liruozhu@huawei.com> - 1.00.029-2
- Update src tar fetch from upstream release.

* Tue Feb 22 2022 Ruozhu Li <liruozhu@huawei.com> - 1.00.029-1
- Added the function of sending a notification message to the switch when the software starts, and the switch sending domain members to the host, improving the reliability of software upgrade scenarios.
- Add more connection parameter support, consistent with nvme cli.
- Bond ports can join the domain and automatically establish a connection.